import { EventEmitter, OnInit } from "@angular/core";
import { DatePeriod } from "../../../enum/date-period.enum";
export declare class FastDateRangePickerComponent implements OnInit {
    datePeriods: DatePeriod[];
    dateRangeSelected: EventEmitter<Date[]>;
    dateRangeMap: Map<DatePeriod, [Date, Date]>;
    activeDateRange: [Date, Date];
    showClass(): boolean;
    ngOnInit(): void;
    private _initDateMap;
    dateRangeClicked(range: [Date, Date]): void;
    asIsOrder(): number;
}
